/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DYNAMICSTOCKRATIO') 
 CREATE TABLE T_BCM_DYNAMICSTOCKRATIO (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FSCENEID BIGINT DEFAULT 0 NOT NULL,
FYEARID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMERGEID BIGINT DEFAULT 0 NOT NULL,
FSHAREHOLDERID BIGINT DEFAULT 0 NOT NULL,
FINVESTEECOMPANYID BIGINT DEFAULT 0 NOT NULL,
FINVCHANGETYPEID BIGINT DEFAULT 0 NOT NULL,
FOPENSCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FCHANGESCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FSHARESCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FCONFIRMOPENSCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FCONFIRMCHANGESCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FCONFIRMSHARESCALE DECIMAL(34,15) DEFAULT 0 NOT NULL,
FINVESTDATE DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FINVESTAMMOUNT DECIMAL(34,15) DEFAULT 0 NOT NULL,
FSHARECASEID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
